---
title: '`glab runner-controller create`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Create a runner controller. (EXPERIMENTAL)

## Synopsis

You must have administrator access. The runner controller can be
created in a disabled state for testing before you enable the runner controller.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
<https://docs.gitlab.com/policy/development_stages_support/>.

```plaintext
glab runner-controller create [flags]
```

## Examples

```console
# Create a runner controller with default settings
glab runner-controller create

# Create a runner controller with a description
glab runner-controller create --description "My controller"

# Create an enabled runner controller
glab runner-controller create --description "Production" --state enabled
```

## Options

```plaintext
  -d, --description string   Description of the runner controller.
      --jq string            Filter JSON output with a jq expression.
  -F, --output string        Format output as: text, json. (default "text")
      --state string         State of the runner controller: disabled, enabled, dry_run.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```
